/**
 * @package		Gantry Template Framework - RocketTheme
* @version   1.12 October 16, 2019
* @author		RocketTheme http://www.rockettheme.com
* @copyright 	Copyright (C) 2007 - 2019 RocketTheme, LLC
* @license		http://www.rockettheme.com/legal/license.php RocketTheme Proprietary Use License
 */

window.addEvent('domready', function() {
	var moo1 = (MooTools.version == '1.12' || MooTools.version == '1.11');
	var footer = (moo1) ? $('rt-footerbar') : document.id('rt-footerbar');

	if (footer && !window.ie6) {
		var height = footer.getCoordinates().height;
		var lastdiv = new Element('div', {
			'styles': {
				'height': height
			}
		});

		if (moo1) lastdiv.setHTML('&nbsp;');
		else lastdiv.set('html', '&nbsp;');

		lastdiv.inject(footer, 'before');
	}
});